<div class="container" [ngStyle]="{'background': 'radial-gradient(' + (weatherService.currentBackground | async) + ')'}">
  <div class="sign-in">
    <h1 class="page-title">Sign in</h1>
    <div class="card">
      <p class="option-label">With e-mail address</p>
      <form (submit)="login(loginForm)" #loginForm="ngForm">
        <input name="email" type="email" placeholder="E-mail address" ngModel #email="ngModel" required email>
        <input type="password" name="password" placeholder="Password" ngModel #password="ngModel" required>
        <button type="submit">Log in</button>
      </form>
      <!--p class="option-label">Or with Google</p>
      <img src="/assets/images/google.png" alt=""-->
    </div>
  </div>
  <div class="sign-up">
    <h1 class="page-title">or register an account</h1>
    <div class="card">
      <form (submit)="onSignup(signupForm)" #signupForm="ngForm">
        <input name="email" type="email" placeholder="E-mail address" ngModel #email="ngModel" required email>
        <input type="password" name="password" placeholder="Password" ngModel #password="ngModel" required>
        <input type="password" name="password2" placeholder="Password again" ngModel #password2="ngModel" required>
        <button type="submit">Log in</button>
      </form>
    </div>
  </div>
  <app-modal-box id="modal-single-option">
    <h1>{{ modalTitle }}</h1>
    <p>{{ modalDescription }}</p>
    <div class="buttons-wrapper">
      <button (click)="closeModal('modal-single-option');">{{ modalButtonLabel }}</button>
    </div>
  </app-modal-box>
</div>